Loading...
Searching...
No Matches
document.hpp File Reference

## Description

Provides bsoncxx::v_noabi::builder::basic::document.

Go to the source code of this file.

## Classes

class | bsoncxx::v_noabi::builder::basic::document
| A traditional builder-style interface for constructing a BSON document. More...

## Namespaces

namespace | bsoncxx
| The top-level namespace within which all bsoncxx library entities are declared.
namespace | bsoncxx::builder
| Declares entities used to build BSON documents.
namespace | bsoncxx::builder::basic
| Declares entities used with "basic" BSON builder syntax.
namespace | bsoncxx::v_noabi
| Declares entities whose ABI stability is NOT guaranteed.
namespace | bsoncxx::v_noabi::builder
| Declares entities used to build BSON documents.
namespace | bsoncxx::v_noabi::builder::basic
| Declares entities used with "basic" BSON builder syntax.

## Functions

template<typename... Args>
v_noabi::document::value | bsoncxx::builder::basic::make_document (Args &&... args)
| Creates a document from a list of key-value pairs.
template<typename... Args>
v_noabi::document::value | bsoncxx::v_noabi::builder::basic::make_document (Args &&... args)
| Creates a document from a list of key-value pairs.